Bug 218905 - [ta_IN] Some conjunct characters not appearing with proper shape
[ta_IN] Some conjunct characters not appearing with proper shape
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
: i18n
Depends On: 217353
Blocks: Indic
  Show dependency treegraph
 
Reported: 2006-12-08 02:47 EST by Parag Nemade
Modified: 2009-02-04 02:29 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:02:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2006-12-08 02:47:47 EST
+++ This bug was initially created as a clone of Bug #217353 +++

Description of problem:
   This is with tamil font problem. Following combinations was found not
rendering properly after fixing font file for bug 217341.
gsub : U+0BB6 U+0BBF 
gpos : U+0BB6 U+0BC0
       U+0BB6 U+0BCD

Version-Release number of selected component (if applicable):
pango-1.14.8-1
and modified tamil font file attached in bug 217341

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM with CTRL+SPACE.
3. Select RAWCODE from the scim-table in Others
4. Type the unicode sequentially as given in the 1st comment but without 'U' and 
   '+'.
5. Observe the result.
  
Actual results:
combinations are appearing as split and 2 characters

Expected results:
Combinations should appear as single final character image

Additional info:

-- Additional comment from pnemade@redhat.com on 2006-11-27 07:32 EST --
Created an attachment (id=142164)
This patch solves the reported bug

-- Additional comment from besfahbo@redhat.com on 2006-12-04 13:15 EST --
LingNing, any comments on this?

-- Additional comment from lizhang@redhat.com on 2006-12-04 21:36 EST --
U+0BB6 is existing in Unicode 5, it is consonant. But it is not existing in
IndicOTCharClass of Pango, it is only "_xx", so it need be modified to "_ct".
The patch of parag did this.
And I think there are many characters' class which need be modified because of
updating in Unicode 5 in IndicOTCharClass of Pango.
Comment 1 Liang Zhang 2007-09-28 04:33:36 EDT
The upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=481203
Comment 2 Bug Zapper 2008-04-03 14:46:27 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 21:02:28 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 4 Padmanabhan V. K. 2009-01-23 12:20:22 EST
Please reopen this bug. The bleeding edge version of Pango still has U+0BB6's type as _xx instead of _ct:

http://svn.gnome.org/viewvc/pango/trunk/modules/indic/indic-ot-class-tables.c?revision=2684&view=markup

and http://bugzilla.gnome.org/show_bug.cgi?id=481203 is still open.
Comment 5 Venkatraman Balasubramanian 2009-02-04 02:29:05 EST
This is a huge disturbance in using my Linux box. This U+0BB6 works great when combined with U+0BC7 etc., in my Mac OSX box. 

Like Padmanabhan stated here, Pango has to be fixed to make Linux be in compliance with Unicode 4.1 and higher. Please re-open this bug.

Note You need to log in before you can comment on or make changes to this bug.